import React, { FC, ReactNode } from 'react';
import { StatusEnum } from '@procyon/types/common';
export type Toaster = {
    id: string;
    message: string;
    status: StatusEnum;
    timeout?: number;
    title?: string;
};
export type ToasterId = Toaster['id'];
type ToasterContextType = {
    open: (toaster: Toaster) => void;
    toasters: Record<ToasterId, Toaster>;
};
export declare const ToasterContext: React.Context<ToasterContextType>;
export declare const ToasterWrapper: FC<{
    children: ReactNode;
}>;
export declare const showToaster: (toaster: Toaster) => void;
export {};
